# Class `pl.MultiMap`

MultiMap, a Map which has multiple values per key.

Dependencies: `pl.utils`, `pl.class`, `pl.tablex`, `pl.List`

## Methods

pl.MultiMap:update (t) | update a MultiMap using a table.
pl.MultiMap:set (key, val) | add a new value to a key.

## Methods

pl.MultiMap:update (t)
  update a MultiMap using a table.

  ### Parameters:

  - t either a Multimap or a map-like table.

  ### Returns:

  the map
pl.MultiMap:set (key, val)
  add a new value to a key. Setting a nil value removes the key.

  ### Parameters:

  - key the key
  - val the value

  ### Returns:

  the map

generated by LDoc 1.4.3 Last updated Tue, 18 Aug 2015 11:21:53 +0200